Page MenuHomePhabricator

AMDGPU: Refactor treatment of denormal mode
ClosedPublic

Authored by arsenm on Oct 29 2019, 1:26 PM.

Details

Summary

Start moving towards treating this as a property of the calling
convention, and not the subtarget. The default denormal mode should
not be part of the subtarget, and be moved into a separate function
attribute.

This patch is still NFC. The denormal mode remains as a subtarget
feature for now, but make the necessary changes to switch to using an
attribute.

Diff Detail

Event Timeline

arsenm created this revision.Oct 29 2019, 1:26 PM
This revision is now accepted and ready to land.Oct 29 2019, 1:37 PM
arsenm updated this revision to Diff 227554.Nov 1 2019, 4:57 PM

Rebase and fix bug in inline compatibility. Also fix test which will be temporarily broken in GlobalISel after previous commit, and fixed here

arsenm updated this revision to Diff 228157.Nov 6 2019, 2:51 PM

Drop accidental changes

arsenm requested review of this revision.Nov 6 2019, 2:51 PM
rampitec accepted this revision.Nov 6 2019, 3:32 PM

LGTM

This revision is now accepted and ready to land.Nov 6 2019, 3:32 PM